#include <stdio.h>
main(argc,argv)
     int argc;
     char *argv[];
{
  FILE *fi;
  char pal[768],red[256],green[256],blue[256];
  char *in, *out, *p;
  int j;

  in = argv[1];
  out = argv[2];
  fi = fopen (in,"r");
  fread(red,256,1,fi);
  fread(green,256,1,fi);
  fread(blue,256,1,fi);

  p=pal;
  for(j=0; j<256; j++)
    {
      *p++ = red[j];
      *p++ = green[j];
      *p++ = blue[j];
    }
  DFPaddpal(out,pal);
}


